"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.visitor = exports.default = void 0;
var import_export_1 = __importDefault(require("./import_export"));
var call_1 = __importDefault(require("./call"));
var visitors = {
    ImportDeclaration: (import_export_1.default),
    ExportDeclaration: (import_export_1.default),
    CallExpression: call_1.default,
};
// const visitor: Visitor = {
//   Program: {
//     enter(program_path, state) {
//       program_path.traverse(visitors, state);
//     },
//     exit(program_path, state) {
//       program_path.traverse(visitors, state);
//     },
//   },
// };
var visitor = {
    ImportDeclaration: {
        enter: function (path, state) {
            (0, import_export_1.default)(path, state);
        },
        exit: function (path, state) {
            (0, import_export_1.default)(path, state);
        },
    },
    ExportDeclaration: {
        enter: function (path, state) {
            (0, import_export_1.default)(path, state);
        },
        exit: function (path, state) {
            (0, import_export_1.default)(path, state);
        },
    },
    CallExpression: {
        enter: function (path, state) {
            (0, call_1.default)(path, state);
        },
        exit: function (path, state) {
            (0, call_1.default)(path, state);
        },
    },
};
exports.default = visitor;
exports.visitor = visitor;
